/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.ql-clipboard {
  left: -100000px;
  position: absolute;
  top: 50%;
}
.ql-editor {
  box-sizing: border-box;
  cursor: text;
  height: 100%;
  outline: none;
  overflow: hidden;
  padding: 12px 15px;
  tab-size: 4;
  white-space: pre-wrap;
}
.ql-editor-no-padding .ql-editor {
  padding: 0;
}
.ql-editor.ql-blank[data-placeholder] {
    &:before {
        opacity: 0.6;
        content: attr(data-placeholder);
        font-style: italic;
        pointer-events: none;
    }

    > *:first-child {
        margin-top: -1.5em;
    }
}
